Bug 413563 - Focus search field by default
Summary: Focus search field by default
Status: RESOLVED FIXED
Alias: None
Product: kmenuedit
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2019-10-28 19:20 UTC by Alexander Ewering
Modified: 2019-11-11 00:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Ewering 2019-10-28 19:20:21 UTC
Examples:

- System Settings: Search field has keyboard focus immediately (good!).
- Discover: Search field has to be focused manually (bad!), but shortcut (Ctrl+F) works (good!)
- "Edit Applications": Search field has to be focused manually, Ctrl+F doesn't work (bad!).

Sorry for the nitpicking, but it would be nice if all search fields, at least in system apps, worked in a consistent manner. It's a minor thing to fix and has a huge impact on usability and perceived product quality.
Comment 1 Nate Graham 2019-11-04 15:00:24 UTC
Bugs on the kde component that track required changes across multiple apps don't really work. See https://community.kde.org/Get_Involved/Issue_Reporting#One_issue_per_Bugzilla_ticket

The Discover issue was recently fixed in Bug 413407.

Let's use this bug report to track making the search field focused by default in KMenuEdit. Can confirm it!
Comment 2 Nate Graham 2019-11-04 18:28:04 UTC
Here's a patch: https://phabricator.kde.org/D25145
Comment 3 Nate Graham 2019-11-11 00:41:41 UTC
Git commit e99f996b19ca6f62639cd1401924b99e5902995f by Nate Graham.
Committed on 11/11/2019 at 00:41.
Pushed by ngraham into branch 'master'.

Focus search field by default

Summary:
In general, apps that have Search Fields always visible put the focus there by default.
For example: System Settings and Discover. However KMenuEdit does not follow this pattern.

This patch fixes that.
FIXED-IN: 5.18.0

Test Plan: Open kmenuedit and start typing because the search field is now focused by default

Reviewers: #vdg, #plasma, cfeck

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D25145

M  +1    -1    kmenuedit.cpp

https://commits.kde.org/kmenuedit/e99f996b19ca6f62639cd1401924b99e5902995f